Name:        inconsolata-go-nerd-fonts
Version:     3.4.0
Release:     %autorelease
Summary:     Iconic font aggregator, collection, & patcher.

BuildArch:   noarch
License:     OFL-1.1
URL:         https://github.com/ryanoasis/nerd-fonts
Source0:     %{url}/releases/download/v%{version}/InconsolataGo.tar.xz

%description
Nerd Fonts is a project that patches developer targeted fonts with a high
number of glyphs (icons). Specifically to add a high number of extra glyphs
from popular 'iconic fonts' such as Font Awesome, Devicons, Octicons, and
others.

%prep
%autosetup -c

%build
# Nothing to do here

%install

install -Dm644 InconsolataGoNerdFont-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/InconsolataGoNerdFont-Bold.ttf
install -Dm644 InconsolataGoNerdFontMono-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/InconsolataGoNerdFontMono-Bold.ttf
install -Dm644 InconsolataGoNerdFontPropo-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/InconsolataGoNerdFontPropo-Bold.ttf
install -Dm644 InconsolataGoNerdFont-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/InconsolataGoNerdFont-Regular.ttf
install -Dm644 InconsolataGoNerdFontMono-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/InconsolataGoNerdFontMono-Regular.ttf
install -Dm644 InconsolataGoNerdFontPropo-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/InconsolataGoNerdFontPropo-Regular.ttf

%files

%{_datadir}/fonts/%{name}/InconsolataGoNerdFont-Bold.ttf
%{_datadir}/fonts/%{name}/InconsolataGoNerdFontMono-Bold.ttf
%{_datadir}/fonts/%{name}/InconsolataGoNerdFontPropo-Bold.ttf
%{_datadir}/fonts/%{name}/InconsolataGoNerdFont-Regular.ttf
%{_datadir}/fonts/%{name}/InconsolataGoNerdFontMono-Regular.ttf
%{_datadir}/fonts/%{name}/InconsolataGoNerdFontPropo-Regular.ttf
%license "OFL.txt"
%doc "README.md"

%changelog
* Sat May 10 2025 Kyle Bloom <kylejbloom@gmail.com> - 3.4.0-1
- Updated to version v3.4.0

* Sun Dec 01 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.3.0-1
- Updated to version v3.3.0

* Sat Jul 20 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.2.1-1
- Updated to version v3.2.1
